Index: src/filename_absolute.cxx
===================================================================
--- src/filename_absolute.cxx	(Revision 13018)
+++ src/filename_absolute.cxx	(Arbeitskopie)
@@ -198,6 +198,9 @@
   if ( *newslash == '\0' && *slash != '\0' && !isdirsep(*slash)
       &&(newslash==cwd || !isdirsep(newslash[-1])) )
     newslash--;
+  // handle case of path_suffix in base path (STR-3441)
+  if (slash > from && isdirsep(*slash) && *newslash && !isdirsep(*newslash))
+    slash --;
   
   // now go back to the first character of the first differing paths segment
   while (!isdirsep(*slash) && slash > from) slash --;
@@ -213,9 +216,12 @@
   to[tolen - 1] = '\0';
   
   // now add a "previous dir" sequence for every following slash in the cwd
+  bool ignore_dirsep = false;
   while (*newslash != '\0') {
-    if (isdirsep(*newslash)) strlcat(to, "../", tolen);
-    
+    // treat multiple slashes as one single slash; ignore trailing slash in base dir
+    if (isdirsep(*newslash) && !ignore_dirsep && *(newslash+1)) {
+      strlcat(to, "../", tolen); ignore_dirsep = true; }
+    else if (!isdirsep(*newslash)) ignore_dirsep = false;
     newslash ++;
   }
   
